VPS侦探论坛

 找回密码
 注册
查看: 248|回复: 1

反馈:memcached.sh中未匹配GCC 11

[复制链接]
发表于 2022-3-20 23:45:41 | 显示全部楼层 |阅读模式


今天使用vultr的ubuntu 20.04安装lnmp1.9,lnmp正常安装(php 8.1),但是在利用addon.sh安装Memcached的时候出现错误。

后来发现系统带的gcc 是11,但是include/memcached.sh 中只匹配到10,如下

    if gcc -dumpversion|grep -Eq "^[7-9]|10"; then
        patch -p1 < ${cur_dir}/src/patch/libmemcached-1.0.18-gcc7.patch
    fi


我自己把10改成11,安装成功。

    if gcc -dumpversion|grep -Eq "^[7-9]|11"; then
        patch -p1 < ${cur_dir}/src/patch/libmemcached-1.0.18-gcc7.patch
    fi



美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-3-21 09:44:35 | 显示全部楼层


收到      
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-5-27 20:54 , Processed in 0.014771 second(s), 16 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表